package com.dgtis.dorm.manager.db.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public class AlumniOrganizeUserCustom extends AlumniOrganizeUser {

    private LocalDateTime createDate;

    private LocalDateTime authDate;

    private LocalDateTime deleteDate;

    private LocalDateTime modifyDate;

    private List<Integer> exclusiveOrgUserId;

    private String userName;

    private String organizeName;

    private String roleType;//角色

    private String gender;//性别

    private Date graduationDate;//毕业时间

    private String working;//工作单位

    private String position;//职位描述

    private String place;//居住地址



    private String photo;//头像

    private String sign;//签名

    private String email;//邮箱

    private String phone;//手机号

    public AlumniOrganizeUserCustom() {

    }



    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Override
    public LocalDateTime getCreateDate() {
        return createDate;
    }

    @Override
    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Override
    public LocalDateTime getAuthDate() {
        return authDate;
    }

    @Override
    public void setAuthDate(LocalDateTime authDate) {
        this.authDate = authDate;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Override
    public LocalDateTime getDeleteDate() {
        return deleteDate;
    }

    @Override
    public void setDeleteDate(LocalDateTime deleteDate) {
        this.deleteDate = deleteDate;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Override
    public LocalDateTime getModifyDate() {
        return modifyDate;
    }

    @Override
    public void setModifyDate(LocalDateTime modifyDate) {
        this.modifyDate = modifyDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getOrganizeName() {
        return organizeName;
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public Date getGraduationDate() {
        return graduationDate;
    }

    public void setGraduationDate(Date graduationDate) {
        this.graduationDate = graduationDate;
    }

    public String getWorking() {
        return working;
    }

    public void setWorking(String working) {
        this.working = working;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }


    public List<Integer> getExclusiveOrgUserId() {
        return exclusiveOrgUserId;
    }

    public void setExclusiveOrgUserId(List<Integer> exclusiveOrgUserId) {
        this.exclusiveOrgUserId = exclusiveOrgUserId;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("AlumniOrganizeUserCustom{");
        sb.append("createDate=").append(createDate);
        sb.append(", authDate=").append(authDate);
        sb.append(", deleteDate=").append(deleteDate);
        sb.append(", modifyDate=").append(modifyDate);
        sb.append(", userName='").append(userName).append('\'');
        sb.append(", organizeName='").append(organizeName).append('\'');
        sb.append(", roleType='").append(roleType).append('\'');
        sb.append(", gender='").append(gender).append('\'');
        sb.append(", graduationDate=").append(graduationDate);
        sb.append(", working='").append(working).append('\'');
        sb.append(", position='").append(position).append('\'');
        sb.append(", place='").append(place).append('\'');
        sb.append(", photo='").append(photo).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", email='").append(email).append('\'');
        sb.append(", phone='").append(phone).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
